Skip to main content
GET
/
v1
/
shipping_rates
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/shipping_rates/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "d9708532-a59c-4e50-a38e-94cc524b30b4",
  "object": "shipping_rate",
  "calculatable_type": "flat",
  "calculatable": {
    "currency": "usd",
    "amount": 750
  },
  "shipping_method": "ef9f7487-93ab-4e5b-86c3-26b95f05b8ec",
  "shipping_zone": "907a831b-4ead-4a9a-ac00-a4665f423e5e",
  "created_at": 1780925634,
  "updated_at": 1780925634
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

calculatable_type
enum<string>

The kind of the nested calculatable.

Available options:
amount,
flat,
weight,
live
calculatable
object
metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.

shipping_zone

Expandable – The associated shipping zone ID.

shipping_method

Expandable – The associated shipping method ID.